RGBA< Type >(3)

NAME
RGBA< Type >

SYNOPSIS

#include <Color.h>

  Public Member Functions
RGBA ()
RGBA (const RGBA &c)
RGBA (const double d[4])
RGBA (const double rr, const double gg, const double bb)
RGBA (const double rr, const double gg, const double bb, const double aa)
RGBA operator= (const RGBA &c)
template<typename T2 > RGBA operator= (RGB< T2 > &c)
template<typename T2 > operator RGBA< T2 > () const
RGBA operator+ (const RGBA &c)
RGBA operator/ (const double d)
RGBA (RGB< Type > &c)
RGBA (CMYK< Type > &cmyk)
Type & operator[] (const unsigned int i)
Type r ()
Type g ()
Type b ()
Type a ()
void red ()
RGBA (Bstring &hex)
Bstring hex ()
void spectrum (double value, double cmin, double cmax)

Detailed Description

  template<typename Type>
class RGBA< Type >"

Definition at line 11 of file Color.h.

Constructor & Destructor Documentation

  template<typename Type> RGBA< Type >::RGBA () [inline]

Definition at line 166 of file Color.h.

  template<typename Type> RGBA< Type >::RGBA (const RGBA< Type > & c) [inline]

Definition at line 167 of file Color.h.

  template<typename Type> RGBA< Type >::RGBA (const double d[4]) [inline]

Definition at line 168 of file Color.h.

  template<typename Type> RGBA< Type >::RGBA (const double rr, const double gg, const double bb) [inline]

Definition at line 169 of file Color.h.

  template<typename Type> RGBA< Type >::RGBA (const double rr, const double gg, const double bb, const double aa) [inline]

Definition at line 171 of file Color.h.

  template<typename Type> RGBA< Type >::RGBA (RGB< Type > & c) [inline]

Definition at line 190 of file Color.h.

  template<typename Type> RGBA< Type >::RGBA (CMYK< Type > & cmyk) [inline]

Definition at line 191 of file Color.h.

  template<typename Type> RGBA< Type >::RGBA (Bstring & hex) [inline]

Definition at line 205 of file Color.h.

Member Function Documentation

  template<typename Type> Type RGBA< Type >::a () [inline]

Definition at line 203 of file Color.h.

  template<typename Type> Type RGBA< Type >::b () [inline]

Definition at line 202 of file Color.h.

  template<typename Type> Type RGBA< Type >::g () [inline]

Definition at line 201 of file Color.h.

  template<typename Type> Bstring RGBA< Type >::hex () [inline]

Definition at line 214 of file Color.h.

  template<typename Type> template<typename T2 > RGBA< Type >::operator RGBA< T2 > () const [inline]

Definition at line 181 of file Color.h.

  template<typename Type> RGBA RGBA< Type >::operator+ (const RGBA< Type > & c) [inline]

Definition at line 184 of file Color.h.

  template<typename Type> RGBA RGBA< Type >::operator/ (const double d) [inline]

Definition at line 187 of file Color.h.

  template<typename Type> RGBA RGBA< Type >::operator= (const RGBA< Type > & c) [inline]

Definition at line 173 of file Color.h.

  template<typename Type> template<typename T2 > RGBA RGBA< Type >::operator= (RGB< T2 > & c) [inline]

Definition at line 177 of file Color.h.

  template<typename Type> Type& RGBA< Type >::operator[] (const unsigned int i) [inline]

Definition at line 196 of file Color.h.

  template<typename Type> Type RGBA< Type >::r () [inline]

Definition at line 200 of file Color.h.

  template<typename Type> void RGBA< Type >::red () [inline]

Definition at line 204 of file Color.h.

  template<typename Type> void RGBA< Type >::spectrum (double value, double cmin, double cmax) [inline]

Definition at line 221 of file Color.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.